# Class IUSerializer

java.lang.Object
org.eclipse.equinox.p2.metadata.io.IUSerializer

public class IUSerializer extends Object
This class allows to serialize a collection of `IInstallableUnit`s. These serialized IUs can be read using the `IUDeserializer`. The format in which the IUs are serialized is not API and is subject to change without notice.

Since:
  1.2

## Constructor Summary

Constructors
Constructor
Description
`IUSerializer(OutputStream os)`
Construct a serializer.

## Method Summary

Modifier and Type
Method
Description
`void`
`write(Collection<IInstallableUnit> ius)`
Serialize the given collections of IU.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IUSerializer

public IUSerializer(OutputStream os) throws UnsupportedEncodingException
Construct a serializer.

Parameters:
  `os` - the output stream against which the serializer will work.
Throws:
  `UnsupportedEncodingException` - never thrown but API

## Method Details

### write

public void write(Collection<IInstallableUnit> ius)
Serialize the given collections of IU.

Parameters:
  `ius` - the collection of `IInstallableUnit`s to serialize